petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateInterpolation_Moab

Generate the interpolation operators to transform operators (matrices, vectors) from parent level to child level as defined by the DM inputs provided by the user.

### Synopsis

    PETSC_EXTERN PetscErrorCode DMCreateInterpolation_Moab(DM dmp, DM dmc, Mat* interpl, Vec* vec)

Collective on MPI_Comm

### Input Parameter

| dm1 | - The DMMoab object
| dm2 | - the second, finer DMMoab object

### Output Parameter

| interpl | - The interpolation operator for transferring data between the levels
| vec | - The scaling vector (optional)

### Keywords

DMMoab, create, refinement

### Level

developer

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages